Effects[#Effects+1] = {}

local effect = Effects[#Effects]

effect.name = "Invert"

effect.effect = love.graphics.newPixelEffect [[

vec4 effect(vec4 color, Image texture, vec2 texture_coords, vec2 pixel_coords)
		{

			vec4 pixel = Texel(texture, texture_coords);

			pixel.r = 1.0-pixel.r;
			pixel.g = 1.0-pixel.g;
			pixel.b = 1.0-pixel.b;
			return  pixel;

		}

]]


function effect.func()

	love.graphics.setPixelEffect(effect.effect)
	love.graphics.draw(image)



end