Effects[#Effects+1] = {}

local effect = Effects[#Effects]

effect.name = "Saturation"

effect.effect = love.graphics.newPixelEffect [[

extern number value;

vec4 effect(vec4 color, Image texture, vec2 texture_coords, vec2 pixel_coords)
		{

			vec4 pixel = Texel(texture, texture_coords);

			float avg = (pixel.r + pixel.g + pixel.b)/3;

			pixel.r = max(0, min(1, avg+(pixel.r-0.5)*(value/0.01)));
			pixel.g = max(0, min(1, avg+(pixel.g-0.5)*(value/0.01)));
			pixel.b = max(0, min(1, avg+(pixel.b-0.5)*(value/0.01)));

			return  pixel;

		}

]]


function effect.func()

	effect.effect:send("value", value)
	love.graphics.setPixelEffect(effect.effect)
	love.graphics.draw(image)



end