Effects[#Effects+1] = {}

local effect = Effects[#Effects]

effect.name = "Black and White"

effect.effect = love.graphics.newPixelEffect [[

extern number value;

vec4 effect(vec4 color, Image texture, vec2 texture_coords, vec2 pixel_coords)
		{

			vec4 pixel = Texel(texture, texture_coords);

			float avg = max(0, ((pixel.r + pixel.g + pixel.b)/3)+value/10);

			pixel.r = avg;
			pixel.g = avg;
			pixel.b = avg;

			return  pixel;

		}

]]


function effect.func()

	effect.effect:send("value", value)
	love.graphics.setPixelEffect(effect.effect)
	love.graphics.draw(image)

end