Effects[#Effects+1] = {}

local effect = Effects[#Effects]

effect.name = "Brightness"

effect.effect = love.graphics.newPixelEffect [[

extern number value;

vec4 effect(vec4 color, Image texture, vec2 texture_coords, vec2 pixel_coords)
		{

			vec4 pixel = Texel(texture, texture_coords);

			pixel.r = max(0, min(1.0, pixel.r+value/10));
			pixel.g = max(0, min(1.0, pixel.g+value/10));
			pixel.b = max(0, min(1.0, pixel.b+value/10));
			return  pixel;
			
		}

]]


function effect.func()
	effect.effect:send("value", value)
	love.graphics.setPixelEffect(effect.effect)
	love.graphics.draw(image)



end